﻿@using FIOAPIWeb.Components.Shared
@inherits SimpleConfirmDialog

<MudDialog>
    <DialogContent>
        <MudText>@ContentText</MudText>
    </DialogContent>
    <DialogActions>
        <MudStack>
            <PasswordTextField @bind-Password="@Password"
                               Label="Password" />
            <MudText>@Common.Spacer(85)</MudText>
            <MudStack Justify="Justify.FlexEnd" Row="true">
                <MudButton Color="Color.Secondary" Disabled="@IsProcessing" OnClick="OnCancelButton">
                @if (IsCanceling)
                {
                    <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
                }
                <MudText Class="mas-2">@CancelButtonText</MudText>
                </MudButton>
                <MudButton Color="Color.Primary" Disabled="@AcceptButtonDisabled" OnClick="OnAcceptButton">
                @if (IsAccepting)
                {
                    <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
                }
                <MudText Class="mas-2">@AcceptButtonText</MudText>
                </MudButton>
            </MudStack>
        </MudStack>
    </DialogActions>
</MudDialog>